/*
 * @Author: 阿小凉
 * @Date: 2023-11-25 09:01:46
 * @LastEditTime: 2023-11-29 15:54:51
 */
import request from '@/utils/request'

// 所有角色
export const getRoles = params => request({
  url: '/role/all',
  method: 'get',
  params
})
// 角色列表
export const roleList = params => request({
  url: '/role/list',
  method: 'get',
  params
})
// 添加角色
export const addRole = data => request({
  url: '/role/add',
  method: 'post',
  data
})
// 修改角色
export const editRole = data => request({
  url: '/role/edit',
  method: 'post',
  data
})
// 删除角色
export const delRole = data => request({
  url: '/role/delete',
  method: 'post',
  data
})
